View Issue Details

IDProjectCategoryView StatusLast Update
0001636SOGoWeb Address Bookpublic2014-04-08 13:18
Reportercepal Assigned Toacloutier 
PrioritynormalSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.11 
Target Version2.2.4Fixed in Version2.2.4 
Summary0001636: birth date validity check missing
Description

birth date doesn't have any simplest validity check - I was able to fill in birthdate 2015/13/13 which is nonsense (13th month). The birthdate should be checked for a valid date otherwise I am a bit suspicious about the whole calendar thing...

Actually are birthdates planned to propagate to calendar at all?

You obviously do not use "date" type for the value, which is scary to me :-).

Additional Information

checks I'd suggest:

  • valid date
  • not in future
TagsNo tags attached.

Activities

cepal

cepal

2012-02-15 13:24

reporter   ~0003441

I forgot to mention: I was using the demo at http://sogo-demo.inverse.ca/

ludovic

ludovic

2014-04-08 13:18

administrator   ~0006855

https://github.com/inverse-inc/sogo/commit/afa564a6a6b4bbe433b4912af66f3b1a4c9d7510

Issue History

Date Modified Username Field Change
2012-02-15 13:22 cepal New Issue
2012-02-15 13:24 cepal Note Added: 0003441
2014-03-10 12:27 acloutier Assigned To => acloutier
2014-03-10 12:27 acloutier Status new => assigned
2014-04-03 16:33 ludovic Target Version => 2.2.4
2014-04-08 13:18 ludovic Note Added: 0006855
2014-04-08 13:18 ludovic Status assigned => resolved
2014-04-08 13:18 ludovic Fixed in Version => 2.2.4
2014-04-08 13:18 ludovic Resolution open => fixed